Xalan-Java 2.7.1: Class OutputPropertiesFactory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class OutputPropertiesFactory

    java.lang.Object
      |
      +--org.apache.xml.serializer.OutputPropertiesFactory

public final class OutputPropertiesFactory
extends java.lang.Object

This class is a factory to generate a set of default properties of key/value pairs that are used to create a serializer through the factory SerilizerFactory. The properties generated by this factory may be modified to non-default values before the SerializerFactory is used to create a Serializer.

The given output types supported are "xml", "text", and "html". These type strings can be obtained from the Method class in this package.

Other constants defined in this class are the non-standard property keys that can be used to set non-standard property values on a java.util.Properties object that is used to create or configure a serializer. Here are the non-standard keys:

- S_KEY_INDENT_AMOUNT - The non-standard property key to use to set the indentation amount. The "indent" key needs to have a value of "yes", and this properties value is a the number of whitespaces to indent by per indentation level.
- S_KEY_CONTENT_HANDLER - This non-standard property key is used to set the name of the fully qualified Java class that implements the ContentHandler interface. The output of the serializer will be SAX events sent to this an object of this class.
- S_KEY_ENTITIES - This non-standard property key is used to specify the name of the property file that specifies character to entity reference mappings. A line in such a file is has the name of the entity and the numeric (base 10) value of the corresponding character, like this one:
  quot=34
- S_USE_URL_ESCAPING - This non-standard property key is used to set a value of "yes" if the href values for HTML serialization should use %xx escaping.
- S_OMIT_META_TAG - This non-standard property key is used to set a value of "yes" if the META tag should be omitted where it would otherwise be supplied.

See Also:
  `SerializerFactory`, `Method`, `Serializer`

Field Summary
`static java.lang.String` | `S_BUILTIN_EXTENSIONS_UNIVERSAL` This is not a public API.
`static java.lang.String` | `S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL` The old built-in extension namespace, this is not a public API.
`static int` | `S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN` This is not a public API, it is only public because it is used by outside of this package, it is the length of the old built-in extension namespace.
`static java.lang.String` | `S_KEY_CONTENT_HANDLER` This non-standard property key is used to set the name of the fully qualified Java class that implements the ContentHandler interface.
`static java.lang.String` | `S_KEY_ENTITIES` This non-standard property key is used to specify the name of the property file that specifies character to entity reference mappings.
`static java.lang.String` | `S_KEY_INDENT_AMOUNT` The non-standard property key to use to set the number of whitepaces to indent by, per indentation level, if indent="yes".
`static java.lang.String` | `S_KEY_LINE_SEPARATOR` The non-standard property key to use to set the characters to write out as at the end of a line, rather than the default ones from the runtime.
`static java.lang.String` | `S_OMIT_META_TAG` This non-standard property key is used to set a value of "yes" if the META tag should be omitted where it would otherwise be supplied.
`static java.lang.String` | `S_USE_URL_ESCAPING` This non-standard property key is used to set a value of "yes" if the href values for HTML serialization should use %xx escaping.

Constructor Summary
`OutputPropertiesFactory()`

Method Summary
`static java.util.Properties` | `getDefaultMethodProperties(java.lang.String method)` Creates an empty OutputProperties with the property key/value defaults specified by a property file.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### S_BUILTIN_EXTENSIONS_UNIVERSAL

    public static final java.lang.String S_BUILTIN_EXTENSIONS_UNIVERSAL

  This is not a public API. This is the built-in extensions namespace, reexpressed in {namespaceURI} syntax suitable for prepending to a localname to produce a "universal name".

### S_KEY_INDENT_AMOUNT

    public static final java.lang.String S_KEY_INDENT_AMOUNT

  The non-standard property key to use to set the number of whitepaces to indent by, per indentation level, if indent="yes".

### S_KEY_LINE_SEPARATOR

    public static final java.lang.String S_KEY_LINE_SEPARATOR

  The non-standard property key to use to set the characters to write out as at the end of a line, rather than the default ones from the runtime.

### S_KEY_CONTENT_HANDLER

    public static final java.lang.String S_KEY_CONTENT_HANDLER

  This non-standard property key is used to set the name of the fully qualified Java class that implements the ContentHandler interface. Fully qualified name of class with a default constructor that implements the ContentHandler interface, where the result tree events will be sent to.

### S_KEY_ENTITIES

    public static final java.lang.String S_KEY_ENTITIES

  This non-standard property key is used to specify the name of the property file that specifies character to entity reference mappings.

### S_USE_URL_ESCAPING

    public static final java.lang.String S_USE_URL_ESCAPING

  This non-standard property key is used to set a value of "yes" if the href values for HTML serialization should use %xx escaping.

### S_OMIT_META_TAG

    public static final java.lang.String S_OMIT_META_TAG

  This non-standard property key is used to set a value of "yes" if the META tag should be omitted where it would otherwise be supplied.

### S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL

    public static final java.lang.String S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL

  The old built-in extension namespace, this is not a public API.

### S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN

    public static final int S_BUILTIN_OLD_EXTENSIONS_UNIVERSAL_LEN

  This is not a public API, it is only public because it is used by outside of this package, it is the length of the old built-in extension namespace.

Constructor Detail

### OutputPropertiesFactory

    public OutputPropertiesFactory()

Method Detail

### getDefaultMethodProperties

    public static final java.util.Properties getDefaultMethodProperties(java.lang.String method)

  Creates an empty OutputProperties with the property key/value defaults specified by a property file. The method argument is used to construct a string of the form output_[method].properties (for instance, output_html.properties). The output_xml.properties file is always used as the base.

  Anything other than 'text', 'xml', and 'html', will use the output_xml.properties file.

  Parameters:
    `method` - non-null reference to method name.
  Returns:
    Properties object that holds the defaults for the given method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.